Bug 254898 - devel/ode: fix and optionize building demos, other minor improvements
Summary: devel/ode: fix and optionize building demos, other minor improvements
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Jose Alonso Cardenas Marquez
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2021-04-09 00:30 UTC by Dmitry Marakasov
Modified: 2021-04-22 12:10 UTC (History)
0 users

See Also:
bugzilla: maintainer-feedback? (acm)


Attachments
Patch (4.25 KB, patch)
2021-04-09 00:30 UTC, Dmitry Marakasov
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Dmitry Marakasov freebsd_committer 2021-04-09 00:30:41 UTC
Created attachment 223935 [details]
Patch

- Optionize building demos
- Fix depends (only depend on GL for demos, fix configure dependency
  detection by using USES=localbase and pkgconfig)
- Fix build of demo code (use older compatible C++ standard and
  patch some bits)
- Use native OPTIONS feature to make options mutually exclusive
Comment 1 Jose Alonso Cardenas Marquez freebsd_committer 2021-04-15 01:24:46 UTC
Could you commit these changes?. Thanks!
Comment 2 commit-hook freebsd_committer 2021-04-22 12:10:56 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=96b5f3c1c98b69a9991d7e00909a7eccd1ff7961

commit 96b5f3c1c98b69a9991d7e00909a7eccd1ff7961
Author:     Dmitry Marakasov <amdmi3@FreeBSD.org>
AuthorDate: 2021-04-08 23:35:52 +0000
Commit:     Dmitry Marakasov <amdmi3@FreeBSD.org>
CommitDate: 2021-04-22 12:08:19 +0000

    devel/ode: fix and optionize building demos, other minor improvements

    - Optionize building demos
    - Fix depends (only depend on GL for demos, fix configure dependency
      detection by using USES=localbase and pkgconfig)
    - Fix build of demo code (use older compatible C++ standard and
      patch some bits)
    - Use native OPTIONS feature to make options mutually exclusive

    PR:             254898
    Approved by:    acm (maintainer)

 devel/ode/Makefile                                  | 21 ++++++++++-----------
 .../files/patch-ode_demo_demo__jointPR.cpp (new)    | 11 +++++++++++
 .../files/patch-ode_demo_demo__jointPU.cpp (new)    | 11 +++++++++++
 .../ode/files/patch-ode_demo_demo__piston.cpp (new) | 11 +++++++++++
 4 files changed, 43 insertions(+), 11 deletions(-)